var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, html, customElement } from '../../../external/lit/index.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
let UmbLogViewerTooManyLogsWarningElement = class UmbLogViewerTooManyLogsWarningElement extends UmbLitElement {
    render() {
        return html `<uui-box id="to-many-logs-warning">
			<h3><umb-localize key="logViewer_unableToViewLogs">Unable to view logs</umb-localize></h3>
			<p>
				<umb-localize key="logViewer_logFileTooLarge"
					>Today's log file is too large to be viewed and would cause performance problems.</umb-localize
				>
			</p>
			<p>
				<umb-localize key="logViewer_narrowDateRangeOrOpenManually"
					>If you need to view the log files, narrow your date range or try opening them manually.</umb-localize
				>
			</p>
		</uui-box>`;
    }
    static { this.styles = [
        css `
			:host {
				text-align: center;
			}
		`,
    ]; }
};
UmbLogViewerTooManyLogsWarningElement = __decorate([
    customElement('umb-log-viewer-too-many-logs-warning')
], UmbLogViewerTooManyLogsWarningElement);
export { UmbLogViewerTooManyLogsWarningElement };
